> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ja/rissu/api-docs/retrieve-document-contents.md).

# 文書の内容を取得

{% openapi src="/files/NPsg8DFwcSjopKSuZo9m" path="/documents/{document\_id}/contents/" method="get" %}
[rememberizer\_openapi.yml](https://3282965451-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FK09NlRK7lXZsjqCNQsEe%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=dd73efa7-56a8-4350-88ab-85d7586fb7b8)
{% endopenapi %}

## 例のリクエスト

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  "https://api.rememberizer.ai/api/v1/documents/12345/contents/?start_chunk=0&end_chunk=20" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
```

{% hint style="info" %}
`YOUR_JWT_TOKEN` を実際のJWTトークンに、`12345` を実際のドキュメントIDに置き換えてください。
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getDocumentContents = async (documentId, startChunk = 0, endChunk = 20) => {
  const url = new URL(`https://api.rememberizer.ai/api/v1/documents/${documentId}/contents/`);
  url.searchParams.append('start_chunk', startChunk);
  url.searchParams.append('end_chunk', endChunk);
  
  const response = await fetch(url.toString(), {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_JWT_TOKEN'
    }
  });
  
  const data = await response.json();
  console.log(data);
  
  // さらにチャンクがある場合は、それを取得できます
  if (data.end_chunk < totalChunks) {
    // 次のチャンクセットを取得
    await getDocumentContents(documentId, data.end_chunk, data.end_chunk + 20);
  }
};

getDocumentContents(12345);
```

{% hint style="info" %}
`YOUR_JWT_TOKEN` を実際のJWTトークンに、`12345` を実際のドキュメントIDに置き換えてください。
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_document_contents(document_id, start_chunk=0, end_chunk=20):
    headers = {
        "Authorization": "Bearer YOUR_JWT_TOKEN"
    }
    
    params = {
        "start_chunk": start_chunk,
        "end_chunk": end_chunk
    }
    
    response = requests.get(
        f"https://api.rememberizer.ai/api/v1/documents/{document_id}/contents/",
        headers=headers,
        params=params
    )
    
    data = response.json()
    print(data)
    
    # さらにチャンクがある場合は、それを取得できます
    # これは単純な例です - 適切な再帰チェックを実装することをお勧めします
    if 'end_chunk' in data and data['end_chunk'] < total_chunks:
        get_document_contents(document_id, data['end_chunk'], data['end_chunk'] + 20)

get_document_contents(12345)
```

{% hint style="info" %}
`YOUR_JWT_TOKEN` を実際のJWTトークンに、`12345` を実際のドキュメントIDに置き換えてください。
{% endhint %}
{% endtab %}
{% endtabs %}

## パスパラメータ

| パラメータ        | タイプ | 説明                              |
| ------------ | --- | ------------------------------- |
| document\_id | 整数  | **必須。** コンテンツを取得するためのドキュメントのID。 |

## クエリパラメータ

| パラメータ        | タイプ | 説明                                      |
| ------------ | --- | --------------------------------------- |
| start\_chunk | 整数  | 開始チャンクインデックス。デフォルトは0です。                 |
| end\_chunk   | 整数  | 終了チャンクインデックス。デフォルトはstart\_chunk + 20です。 |

## レスポンスフォーマット

```json
{
  "content": "ドキュメントチャンクの完全なテキストコンテンツ...",
  "end_chunk": 20
}
```

## エラー応答

| ステータスコード | 説明             |
| -------- | -------------- |
| 404      | ドキュメントが見つかりません |
| 500      | サーバー内部エラー      |

## 大きなドキュメントのページネーション

大きなドキュメントの場合、コンテンツはチャンクに分割されます。複数のリクエストを行うことで、完全なドキュメントを取得できます：

1. `start_chunk=0`で初期リクエストを行います
2. 戻された`end_chunk`値を次のリクエストの`start_chunk`として使用します
3. すべてのチャンクを取得するまで続けます

このエンドポイントはドキュメントの生のテキストコンテンツを返し、詳細な処理や分析のために完全な情報にアクセスできるようにします。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ja/rissu/api-docs/retrieve-document-contents.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
